Kreslení kružnice

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Fillet.svg Fillet
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Kreslení_Kružnice

Umístění Menu
Kreslení -> Kružnice
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
C I
Představen ve verzi
-
Viz také
Kreslení oblouk


Popis

Nástroj Kružnice vytváří kružnici v aktuální pracovní rovině zadáním dvou bodů: střed a poloměr nebo zadáním tečen nebo kombinací obou způsobů. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Tento nástroj pracuje stejně jako nástroj Oblouk, kromě toho, že se končí po zadání poloměru.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Draft Circle example.jpg

Draft Circle example.jpg

Použití

  1. Stiskněte tlačítko Draft Circle.png Kružnice nebo klávesy C pak I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte hodnotu poloměru.

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Volby

  • Základní způsob použití nástrije Kružnice je zadáním dvou bodů, středu a bodu na obvodu kružnice, který definuje poloměr.
  • Stiskem ALT můžete vybrat tečnu místo zadání druhého bodu. Můžete tak zkonstruovat několik typů kružnic výběrem jedné dvou nebo tří tečen.
  • Chcete-li zadat souřadnice ručně, jdenoduše vkládejte čísla a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo klikněte na zaklikávací políčko pro zatrhnutí nebo odtrhnutí tlačítka Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Kružnice hned po zadání druhého bodu připraven ke kreslení další kružnice bez nutnosti stisknout znovu tlačítko Kružnice.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci ke středu.
  • Stisknutím klávesy I nebo tlačítka Filled zajistíte, že se kružnice tváří jako plocha (musí být uzavřená). Jednoduše se to nastavuje Pohled->Vlastnost Kružnice na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu.
  • Kružnice může být po vytvoření změněna na oblouk nastavením počátečního a koncového úhlu na jiné hodnoty.
  • Když je Kružnice v zobrazovacím módu "Jednoduché čáry" může zobrazovat šrafovací vzor nastavením vlastnosti "Vzor" dole.

Vlastnosti

  • DATAPoloměr: Poloměr kružnice
  • VIEWVzor: Specifikuje šrafovací vzor pro vyplnění drátu
  • VIEWRozměr vzoru: Specifikuje rozměr šrafovacího vzoru

Data

  • DATAFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DATALast Angle: specifies the ending angle of the circle; normally 0°.
  • DATARadius: specifies the radius of the circle.
  • DATAMake Face: specifies if the Circle makes a face or not. If it is True a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DATAFirst Angle and DATALast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Kružnice může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Vytvoří objekt kružnice podle daného poloměru.
  • Je-li zadáno placement (umístění), je využito.
  • Je-li facemode (mód plochy) False, bude kružnice zobrazena jako drát, jinak jako plocha.
  • Jsou-li zadány počáteční a koncový úhel (startangle a endangle) (ve stupních), jsou využity a objekt se zobrazí jako oblouk.
  • Výstupem je nově vytvořený objekt.

Příklad:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Fillet.svg Fillet
Next: Arc Draft Arc.svg Arrow-right.svg